import org.junit.jupiter.api.Test;

import io.fabric8.kubernetes.client.KubernetesClient;
import io.quarkus.test.junit.QuarkusTest;
import jakarta.inject.Inject;

@QuarkusTest
public class MyTest {
    @Inject
    private KubernetesClient kubernetesClient;
    
    @Test
    public void test() {
        System.out.println("pod list:");
        var pods = this.kubernetesClient.pods().list();
        pods.getItems().forEach(pod -> {
            System.out.println(pod.getMetadata().getName());
        });
    }
}
